Summary: Complementary and updated manual pages
Name: man-pages-overrides
Version: 6.2.3
Release: 2%{?dist}
# man - GPLv2
License: GPLv2
Group: Documentation
# there is no public download location for this package
Source0: man-pages-overrides-%{version}.tar.gz
Patch2: mpo-2.0-expect.patch
Patch4: mpo-2.0-findutils.patch
Patch5: mpo-2.0-man.patch
Patch6: mpo-2.0-logrotate.patch
Patch7: mpo-2.0-logrotate2.patch
Patch8: mpo-2.0-lftp.patch
Patch9: mpo-2.0-logrotate3.patch
Patch10: mpo-2.0-logrotate4.patch
Patch11: mpo-2.1-w3m.patch
Patch12: mpo-2.0-usermode.patch
Patch13: mpo-2.0-pcre.patch
Patch14: mpo-2.0-pcre2.patch
Patch16: mpo-2.2-mlocate.patch
Patch20: mpo-2.0-logrotate5.patch
Patch21: mpo-6.2-volume_key.patch
Patch22: mpo-6.2-ntp.patch
Patch23: mpo-6.2-ntp-keygen.patch
#resolves #656245
Patch24: mpo-2.0-man-pages-fattach.patch
#resolves: #688543 - mysimn synopsys checks
Patch25: mpo-6.2-lsvpd.patch
#resolves: #698151
Patch26: mpo-2.0-man-pages-host.conf.patch
Patch27: mpo-6.2-curl.patch
Patch28: mpo-6.2-cpufrequtils.patch
Patch29: mpo-6.2-bridge-utils.patch
Patch30: mpo-6.2-ecryptfs-utils.patch
Patch31: mpo-6.2-vsftpd.patch
Patch32: mpo-6.2-resolv.conf.patch
Patch33: mpo-6.2-nfs-utils.patch
Patch34: mpo-6.2-nsswitch.conf.patch
Patch35: mpo-6.2-umount.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
Requires: man >= 1.6f-24

%description
A collection of manual ("man") pages to complement other packages or update
those contained therein. Always have the latest version of this package
installed.

%prep
%setup -q -n %{name}-%{version}
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch16 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
iconv -f euc-jp -t utf-8 man/ja/man1/man.1 -o man/ja/man1/man.utf
mv man/ja/man1/man.utf man/ja/man1/man.1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides
mkdir -p $RPM_BUILD_ROOT%{_docdir}
for i in `ls`; do
    if [ -d $i ]
    then
        for j in `ls $i`; do
           if [ -d $i/$j ]
           then
               mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides/$j
               for k in `ls $i/$j`; do
                   if [ -d $i/$j/$k ]
                   then
                       mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides/$j/$k
                       cp -f $i/$j/$k/* $RPM_BUILD_ROOT%{_mandir}/overrides/$j/$k
                       gzip $RPM_BUILD_ROOT%{_mandir}/overrides/$j/$k/*
                   else
                       cp -f $i/$j/* $RPM_BUILD_ROOT%{_mandir}/overrides/$j
                   fi
               done
           else
              mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i
              cp $i/$j $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i
           fi
        done
    fi
done


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_mandir}/overrides

%changelog
* Tue Oct 18 2011 Peter Schiffer <pschiffe@redhat.com> 6.2.3-2
- related: #694860
  Rewritten patch for nsswitch.conf man page

* Thu Oct 13 2011 Peter Schiffer <pschiffe@redhat.com> 6.2.3-1
- resolves: #740670
  vsftpd: documentation for 'max_per_ip' default setting is wrong
- resolves: #717770
  Need single-request-reopen option documented for resolv.conf
- resolves: #742098
  Update description of timeo in nfs(5) manpage
- resolves: #694860
  No mention of sssd in nsswitch.conf man page
- resolves: #723791
  Lack of UMOUNT_NOFOLLOW flag description in umount(2)
- resolves: #728416
  [RFE] net: backport sendmmsg syscall [Manpage request]

* Wed Sep 14 2011 Peter Schiffer <pschiffe@redhat.com> 6.2.2-1
- resolves: #727526
  Typo in man curl manpage
- resolves: #730042
  Add missing man page for cpufreq-aperf and fixed cpufreq-set man page
- resolves: #602228
  bridge-utils missing documentation in manpage for RFE 574461
- resolves: #731690
  Man ecryptfs contains invalid link in SEE ALSO section
- resolves: #734836
  Document that realtime clock functions need to link with -lrt
- resolves: #656245
  Fixed incorrect link from previous release
- resolves: #690187
  Added license file for man pages from man-pages package
  Removed bug fixed in original component: #659740
  Added license file for man page from x86info package

* Fri Jul 8 2011 Ivana Hutarova Varekova <varekova@redhat.com> 6.2.1-1
- resolves: #698151
  Remove documentation for "order" keyword in /etc/host.conf manpage
- resolves: #688543
  Several lsvpd tools options not documented in man page
- resolves: #674423
  man page for recvmmsg added
- resolves: #656245
  add fattach.2 link to uninplemented
- resolves: #719902
  Remove bug fixed in original component: #674870
  Remove bug fixed in original component: #674878
  Remove bug fixed in original component: #677541
  Remove bug fixed in original component: #677542
  Remove bug fixed in original component: #690801
  Remove bug fixed in original component: #674883

* Fri Jul 8 2011 Ivana Hutarova Varekova <varekova@redhat.com> 6.2.0-1
- resolves: #712256
  Typo in volume_key manpage
- resolves: #709274
  ntpq(8) manpage fixes
- resolves: #709058
  ntp-keygen(8) manpage fixes
- resolves: #615897
  Added missing man page for/usr/sbin/lsmsr in x86info package
- resolves: #690187
  New man pages for cciss + hpsa modules

* Wed Apr 13 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.5-1
- related: #676483
  remove the man pages, they are already fixed in nss-pam-ldap package

* Tue Apr 12 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.4-1
- related: #604626
  add forgotten patch
- related: #632081
  fix the encoding
- related: #644308
  fix the typo
- related: #650162
  fix the patch text
- related: #676483

* Thu Mar 31 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.3-1
- resolves: #676483
  nss-pam-ldapd: troff syntax error in the man page of nslcd

* Fri Mar 25 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.2-1
- resolves: #675223
  locate(1) manpage fixes
- resolves: #676540
  magic(5) manpage fixes

* Thu Feb 10 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.1-1
- resolves: #615873
  Man w3m is stating incorrect program version (package w3m)
- resolves: #675213
  userpasswd(1) manpage fix (package usermode)
- resolves: #675688
  pcretest(1) manpage fixes (package pcre)
- resolves: #675682
  pcregrep(1) manpage fixes (package pcre)
- resolves: #636785
  "semanage module" is not mentioned in semanage man page (package policycoreutils)
- resolves: #540492
  8 options are not described in semanage man page (package policycoreutils)

* Tue Feb  8 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.0-1
- resolves: #658734
  setacl(1) man page bug (package acl)
- resolves: #651120
  setfattr(1) man page bug (package attr)
- resolves: #615905
  ospfclient(8) and watchquagga(8) man pages added (package quagga)
- resolves: #633701
  expect(1) man page is bad formatted (package expect)
- resolves: #650162
  useradd(8) man page bug (package shadow-utils)
- resolves: #657563
  Manual page corrections for find(1) (package findutils)
- resolves: #632081
  man(1) for Japanese manual page contains duplicated lines in PAGER explanation
  (package man)
- resolves: #604626
  yum-verify man page uses 'pretty' quotes in examples (package yum-utils)
- resolves: #622451
  Author info is wrong in man page (package logrotate)
- resolves: #638625
  Ambiguity in logrotate man page (package logrotate)
- resolves: #644308
  manpage not in sync with options logrotate actually recognizes (package logrotate)
- resolves: #613979
  dftest and randpkt does not have a man page (package wireshark)
- resolves: #619779
  lftp(1) option xfer:auto-rename not documented (package lftp)
- resolves: #673968
  logrotate(8) manpage typo patch (package logrotate)

* Mon Oct 19 2009 Ivana Varekova <varekova@redhat.com> 1.0-1
- made a initial package
